Bug 111421 - X crashes when switching to console (text mode)
Summary: X crashes when switching to console (text mode)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-03 15:17 UTC by Ventsislav Genchev
Modified: 2015-01-04 22:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:47:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages ... you know it :) (2.29 KB, text/plain)
2003-12-11 15:35 UTC, Ventsislav Genchev
no flags Details
X Config file (3.08 KB, text/plain)
2003-12-11 15:36 UTC, Ventsislav Genchev
no flags Details
X log file (62.03 KB, text/plain)
2003-12-11 15:36 UTC, Ventsislav Genchev
no flags Details

Description Ventsislav Genchev 2003-12-03 15:17:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031031

Description of problem:
Here is the error code I get

[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 131032 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 131024 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 131016 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 131008 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 131000 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130992 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130984 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130976 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130968 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130960 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup

btw syslog reports it comes from the kernel, so I'm not shure if this
is actually a XFree86 bug

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Ctrl+Alt+(F1....F12)
2.
3.
    

Additional info:

Comment 1 Ventsislav Genchev 2003-12-11 10:12:53 UTC
Actually I've managed to reproduce the crash few times... 

Here is what I've did.

1. Opened my Mozilla 1.5
2. Visited http://info.redhat.com/a/hA-16fKAJPSNNAO8ctcAK7a1nFw/utbd3
to read about Red Hat's Jeremy Hogan interview.. 
3. While the page was still loading, and some of the images weren't
downloaded yet, I changed to Console (text) mode by pressing Alt+Ctrl+F1
4. Slam... The X crashed and those error messages started .. 

[drm:i830_wait_ring] *ERROR* space: 130968 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup
[drm:i830_wait_ring] *ERROR* space: 130960 wanted 131064
[drm:i830_wait_ring] *ERROR* lockup


5. After 5 to 15 seconds the graphical environment was restarted.. 



Comment 2 Mike A. Harris 2003-12-11 13:00:12 UTC
The error messages seem to indicate that this is a kernel DRM issue.
Please attach your X server log, config file, and /var/log/messages
as individual uncompressed file attachments using the file attachment
link below.

Reassigning to kernel component. 

Comment 3 Ventsislav Genchev 2003-12-11 15:35:16 UTC
Created attachment 96468 [details]
/var/log/messages ... you know it :)

The error I receive apears in the syslog too..

Comment 4 Ventsislav Genchev 2003-12-11 15:36:04 UTC
Created attachment 96469 [details]
X Config file

Comment 5 Ventsislav Genchev 2003-12-11 15:36:45 UTC
Created attachment 96470 [details]
X log file

Comment 6 David Lawrence 2004-09-29 19:47:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.